# Użytkownik podaje jakieś słowo
# a program oblicza ile razy to słowo występuje w pliku pan-tadeusz.txt
import re

szukane = input('Podaj szukane słowo: ')
pattern = re.compile(r'\w+')

nr = 0
with open('pan_tadeusz.txt', mode='r', encoding='utf-8') as plik:
    for linia in plik:
        for slowo in re.findall(pattern, linia):
            if slowo == szukane:
                nr += 1

print(f'Szukane słowo {szukane} występuje {nr} razy.')
